Index: /code/branches/levelMichael/data/levels/Spacefight.oxw
===================================================================
--- /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9734)
+++ /code/branches/levelMichael/data/levels/Spacefight.oxw	(revision 9735)
@@ -84,10 +84,6 @@
 	<LocalQuest id="spacefight.flying1">
 		<QuestDescription
-			title="To the first guard"
-			description="You've reached the enemys Station and they haven't seen you yet.
-
-				Ahead you see the first little patrol. 
-				Attack them!"
-			failMessage="You've lost all your ships!"
+			title="To the first guard!"
+			description="Reach the station ahead."
 			completeMessage="Well done!" />
 		<complete-effects>
@@ -98,6 +94,10 @@
 	<LocalQuest id="spacefight.guard1">
 		<QuestDescription 
-			title="eliminate the first guard!" 
-			description=""
+			title="Eliminate the first guard!" 
+			description="You've reached the enemys Station and they haven't seen you yet.
+
+				Ahead you see the first little patrol.
+				There are two little battleships and also two unarmed ships.
+				The unarmed could not attack you. So first destroy the battleships!"
 			failMessage="You've lost all your ships!"
 			completeMessage="Well done!" />
@@ -113,5 +113,5 @@
 			description="Your friends has an arsenal left behind near by your position.
 				perhaps you find something useful there..."
-			failMessage=""
+			failMessage="You've lost all your ships!"
 			completeMessage="Your ship is prepared best for the second and last guard on the way to the mainship." />
 	</LocalQuest>
@@ -119,6 +119,7 @@
 	<LocalQuest id="spacefight.flying2">
 		<QuestDescription
-			title=""
-			description="(siehe flying1)"
+			title="To the second guard!"
+			description="There is another sentry on the way to the big mainship.
+				unfortunately, we also have to destroy this one."
 			failMessage="You've lost all your ships!"
 			completeMessage="" />
@@ -130,6 +131,6 @@
 	<LocalQuest id="spacefight.guard2">
 		<QuestDescription
-			title=""
-			description="(siehe guard1)"
+			title="The second guard!"
+			description="Destroy also this guard!"
 			failMessage="You've lost all your ships!"
 			completeMessage="" />
@@ -141,8 +142,11 @@
 	<LocalQuest id="spacefight.escape">
 		<QuestDescription
-			title=""
-			description=""
-			failMessage="You've lost all your ships!"
-			completeMessage="" />
+			title="Catch the messenger!"
+			description="A messenger is on the way to warn the troups of the mainship.
+				Destroy him before he is near by the mainship. 
+				Else the fight against the enemys troups will be much more difficult."
+			failMessage="The messenger has reached the mainship.
+				Prepare to fight against a strong enmey!"
+			completeMessage="Well done! Now the element of surprise will be ours!" />
 		<complete-effects>
 			<AddQuest questId="spacefight.flying3" />
@@ -151,4 +155,25 @@
 
 	<LocalQuest id="spacefight.flying3" >
+		<QuestDescription
+			title="Prepared for the big fight?"
+			description=""
+			failMessage="You've lost all your ships!"
+			completeMessage="" />
+	</LocalQuest>
+
+	<LocalQuest id="spacefight.mainfight" >
+		<QuestDescription
+			title="The big fight!"
+			description="Now the time is come!
+				You've done all you can to prepare you for this spacebattle.
+				Let us see, if it was enough.
+				
+				ATTACK!!!"
+			failMessage="You've lost all your ships!"
+			completeMessage="YEEEHAAA!
+				You managed it! For that you will get the golden medal of the united space armies." />
+	</LocalQuest>
+
+	<LocalQuest id="spacefight." >
 		<QuestDescription
 			title=""
@@ -158,6 +183,15 @@
 	</LocalQuest>
 
+	<LocalQuest id="" >
+		<QuestDescription
+			title=""
+			description=""
+			failMessage=""
+			completeMessage="" />
+	</LocalQuest>
+
 	
 <!-- ---------------------------------------------------------------------- -->
+
 	<QuestEffectBeacon times=0>
 		<effects>
@@ -165,10 +199,10 @@
 		</effects>
 		<events>
-		  <execute>
-		    <EventListener event=spawntrigger2 />
-		  </execute>
+			<execute>
+				<EventListener event=spawntrigger2 />
+			</execute>
 		</events>
 		<attached>
-			<BlinkingBillboard position="5000,0,0" colour="1,0,0" frequency=0.5 amplitude=5 material="Examples/Flare" />
+			<BlinkingBillboard position="8000,0,0" colour="1,0,0" frequency=0.5 amplitude=5 material="Examples/Flare" />
 		</attached>
 	</QuestEffectBeacon>
@@ -186,17 +220,17 @@
 
         <QuestEffectBeacon times=1>
-            <effects>
-                <CompleteQuest questId="spacefight.guard1" />
-            </effects>
-            <events>
-                <execute>
-                    <EventListener event="guard1trigger4" />
-                </execute>
-            </events>
+        	<effects>
+        	        <CompleteQuest questId="spacefight.guard1" />
+        	</effects>
+        	<events>
+        	        <execute>
+        	        	<EventListener event="guard1trigger4" />
+        	        </execute>
+        	</events>
         </QuestEffectBeacon>
 
 <!-- ---------------------------------------------------------------------- -->
 
-  <DistanceTrigger name="flying1" position="3000,0,0" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
+  <DistanceTrigger name="flying1" position="5000,0,0" target="SpaceShip" distance=1000 stayActive="true" delay=0 />
 
   <DistanceTrigger name=spawntrigger2 position="0,0,0" target="SpaceShip" distance=10 stayActive="true" delay=0 />
@@ -244,7 +278,7 @@
 <!-- ----------------------------------------------------- -->
 
-<!-- Passive Piraten -->
-
-<SpaceShip position="5000,1000,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
+<!-- Passive Piraten: Guard 1 -->
+
+<SpaceShip position="8000,1000,0" lookat="-1,0,0" name="firstPatrol" radarname="Patrol">
   <events>
     <visibility>
@@ -258,6 +292,6 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=8 position="5000,-1000,0" />
-        <Model mesh="cube.mesh" scale=8 position="5000,1000,0" />
+        <Model mesh="cube.mesh" scale=8 position="8000,-1000,0" />
+        <Model mesh="cube.mesh" scale=8 position="8000,1000,0" />
       </waypoints>
     </WaypointController>
@@ -265,5 +299,5 @@
 </SpaceShip>
 
-<SpaceShip position="5000,0,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
+<SpaceShip position="8000,0,0" lookat="-1,0,0" name=firstPatrol radarname="Patrol">
   <events>
     <visibility>
@@ -277,6 +311,6 @@
     <WaypointController team=1>
       <waypoints>
-        <Model mesh="cube.mesh" scale=8 position="5000,0,-1000" />
-        <Model mesh="cube.mesh" scale=8 position="5000,0,1000" />
+        <Model mesh="cube.mesh" scale=8 position="8000,0,-1000" />
+        <Model mesh="cube.mesh" scale=8 position="8000,0,1000" />
       </waypoints>
     </WaypointController>
@@ -285,7 +319,7 @@
 
 
-<!-- Angreiffender Pirat 1 -->
-
-<SpaceShip position="5000,-1000,1000" lookat="5000,1000,-1000" name=firstPatrol visible="true" radarname="Patrol" >
+<!-- Angreiffende Piraten: Guard 1 -->
+
+<SpaceShip position="8000,-1000,1000" lookat="8000,1000,-1000" name=firstPatrol visible="true" radarname="Patrol" >
   <events>
     <visibility>
@@ -299,6 +333,6 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-        <Model mesh="cube.mesh" scale=8 position="5000,1000,-1000" />
-        <Model mesh="cube.mesh" scale=8 position="5000,-1000,1000" />
+        <Model mesh="cube.mesh" scale=8 position="8000,1000,-1000" />
+        <Model mesh="cube.mesh" scale=8 position="8000,-1000,1000" />
       </waypoints>
       <events>
@@ -311,6 +345,5 @@
 </SpaceShip>
 
-<!-- Angreiffender Pirat 2 -->
-<SpaceShip position="5000,-500,-500" lookat="5000,1000,1000" name=firstPatrol visible="true" radarname="Patrol">
+<SpaceShip position="8000,-500,-500" lookat="8000,1000,1000" name=firstPatrol visible="true" radarname="Patrol">
   <events>
     <visibility>
@@ -324,6 +357,6 @@
     <WaypointPatrolController alertnessradius=2000 team=1 active=false>
       <waypoints>
-        <Model mesh="cube.mesh" scale=8 position="5000,1000,1000" />
-        <Model mesh="cube.mesh" scale=8 position="5000,-1000,-1000" />
+        <Model mesh="cube.mesh" scale=8 position="8000,1000,1000" />
+        <Model mesh="cube.mesh" scale=8 position="8000,-1000,-1000" />
       </waypoints>
       <events>
@@ -335,4 +368,8 @@
   </controller>
 </SpaceShip>
+
+<!-- Passive Piraten: Guard 2 -->
+
+<!-- Angreiffende Piraten: Guard 2 -->
 
 <!-- ----------------------------------------------------- -->
@@ -356,4 +393,18 @@
     ?>
 
+<!-- other asteroid fileds -->
+
+	<!-- links vor guard 1 -->	
+	<?lua
+		dofile("includes/asteroidField.lua")
+		asteroidField(-5000, -5000, -20000, 100, 300, 10000, 50, 1)
+	?>
+
+	<!-- links hinter guard 1 -->
+	<?lua
+		dofile("includes/asteroidField.lua")
+		asteroidField(20000, -10000, -10000, 50, 1000, 10000, 40, 0)
+	?>
+
 
   <Planet position="2000,-250,9000" scale=5000 pitch=1 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="3" atmospheresize=224.0f imagesize=1024.0f />
@@ -362,5 +413,5 @@
 <!-- ----------------Rotating SpaceStation--------------- -->
 
-<StaticEntity position="5500,0,0" yaw=112 pitch=67>
+<StaticEntity position="9000,0,0" yaw=112 pitch=67>
   <attached>
     <?lua
@@ -370,4 +421,12 @@
 </StaticEntity>
 
+<StaticEntity position="9000,20000,0" yaw=112 pitch=67>
+  <attached>
+    <?lua
+      createSpaceStationPar(0,2,1,2,1,4,1,50)
+    ?>
+  </attached>
+</StaticEntity>
+
 
   </Scene>
